Subject: Re: [PATCH net-next] net: Support ip route get via given table

From: David Ahern <[email-masked]>
Date: Wed, 2 Sep 2015 13:22:32 -0600

On 9/2/15 1:12 PM, Thomas Graf wrote:
> On 09/02/15 at 12:03pm, David Ahern wrote:
>> Add support for 'ip [-6] route get table X' where the user wants to
>> force the FIB lookup from a given table.
>>
>> Signed-off-by: David Ahern <[email-masked]>
>
> Will you use this outside of 'ip route get' as well? If so, how? I'm
> asking because you propose to add the check and new behaviour to bypass
> the routing rules to the routing fastpath, wouldn't it be better to
> handle this in inet_rtm_getroute()?
>

The way IPv6 code is structured it seemed more appropriate to pass in a 
table id as part of the flow. I made IPv4 consistent with that approach.